{ poetry2nix
, fetchFromGitHub
, python310
}:

let
  src = fetchFromGitHub {
    owner = "tweag";
    repo = "FawltyDeps";
    rev = "2a37e0b00c5a741d6d6bd6e39936d97831fe6202";
    sha256 = "sha256-/TrA32C6LupAHU453/EFQDdM5Gpor0i+NlL3oGBbaog=";
  };
in
poetry2nix.mkPoetryApplication {
  version = "2023-05-11";
  python = python310;
  projectDir = src;
}
